body {
    display: flex;
    padding: 12px;
    /*border-style: solid;*/
    /*border-color: brown;*/
    font-size: 1em;
}

.section {
    padding: 12px;
    /*border-style: solid;*/
    /*border-color: aqua;*/
}

.container {
    /*border-style: solid;*/
    padding: 1em;
}

.controls {
    display: flex;
    justify-content: center;
}

.controls-horizontal {
    justify-content: space-evenly;
}

.controls > button {
    padding: 2em;
}

#video-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    border-style: solid;
    border-width: 1px;
}

#video {
    min-height: 40em;
    min-width: 40em;
}

#video-bounding-box {
    background-image: url(../assets/cate.gif);
    background-repeat: no-repeat;
    background-size: contain;
    background-position: center;
    width: 100%;
    height: 100%;
}

#video-controls {
    width: 40em;
}

#sensor-container {
    display: flex;
    flex: 1;
    flex-direction: row;
    flex-wrap: wrap;
    align-content: flex-start;
}

.sensor-graph {
    display: flex;
    flex: 1;
    height: 256px;
    /*width: 100%;*/
    min-width: 512px;
    /*border-style: solid;*/
    /*border-color: coral;*/
}

#video-loader {
    display: flex;
    flex-direction: column;
    align-items: center;
    font-size: 2em;
}

/*
Loading source:
https://www.w3schools.com/howto/howto_css_loader.asp
*/

.loader {
    border: 8px solid #f3f3f3; /* Light grey */
    border-top: 8px solid #3498db; /* Blue */
    border-radius: 50%;
    width: 60px;
    height: 60px;
    animation: spin 2s linear infinite;
    margin-bottom: 24px;
}

@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}

@media screen and (max-width: 1819px){
    .sensor-graph {
        max-width: 99%;
    }
}

@media screen and (max-width: 1450px) {
    body {
        flex-direction: column;
    }

    .column {
        justify-content: center;
        align-content: center;
    }

    .controls > button {
        padding: 2em;
        font-size: 1.5em;
    }

    #video {
        height: 45em;
        width: 99%;
    }

    #video-controls {
        display: flex;
        flex-direction: column;
        align-content: stretch;
        align-items: stretch;
        width: 100%;
    }

    .sensor-graph {
        height: 25em;
        max-width: 100%;
    }
}